> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate project

> Translate project with updated transcription.



## OpenAPI

````yaml post /v2/projects/{project_id}/generate
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/projects/{project_id}/generate:
    post:
      tags:
        - projects
      summary: Generate project
      description: Translate project with updated transcription.
      operationId: generate_project_v2_projects__project_id__generate_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project ID
            description: Project ID
      responses:
        '200':
          description: Project with up to date translation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectGet'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectGet:
      properties:
        id:
          type: string
          format: uuid
          title: Project ID
          description: Project ID
        name:
          type: string
          title: Project name
          description: Project name
        source_type:
          $ref: '#/components/schemas/SourceType'
        status:
          anyOf:
            - $ref: '#/components/schemas/ProjectStatus'
            - type: 'null'
        status_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Project status updated at
          description: Date and time of the last project status update
        created_at:
          type: string
          format: date-time
          title: Project created at
          description: Date and time of project creation
        cover:
          anyOf:
            - type: string
            - type: 'null'
          title: Project cover image
          description: Cover image of video specified
        src_lang:
          anyOf:
            - type: string
            - type: 'null'
          title: Project source language
          description: Project source language
        dst_lang:
          type: string
          title: Project destination language
          description: Project destination language
        num_speakers:
          anyOf:
            - type: integer
            - type: 'null'
          title: Number of speakers in the project
          description: Number of speakers in the project
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video source url
          description: Video source url if media has been created by link
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Video duration
          description: Video duration after limits applied
        original_duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Original video duration
          description: Original video duration
        glossary_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Glossary ID
          description: Glossary ID (if glossary is used)
        glossary_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Glossary version
          description: Glossary version (if glossary is used)
        original_video:
          anyOf:
            - type: string
            - type: 'null'
          title: Original video link
          description: Link to the original video stored
        transcript_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project transcription ID
          description: Project transcription ID
        voiceover:
          anyOf:
            - type: string
            - type: 'null'
          title: Voiceover link
          description: Link to the translated audio with voiceover only
        translated_video:
          anyOf:
            - type: string
            - type: 'null'
          title: Translated video link
          description: Link to the translated video
        translated_audio:
          anyOf:
            - type: string
            - type: 'null'
          title: Translated audio link
          description: Link to the translated audio (voiceover with background)
        voice:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: 'null'
          title: Voices
          description: Pull of voices detected
        translation_srt_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Translation .srt link
          description: Link to the translation .srt
        translation_vtt_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Translation .vtt link
          description: Link to the translation .vtt
      type: object
      required:
        - id
        - name
        - source_type
        - created_at
      title: ProjectGet
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SourceType:
      description: Source of uploaded content
      type: string
      enum:
        - youtube
        - gdrive
        - vimeo
        - s3
        - local
        - any
      title: SourceType
    ProjectStatus:
      description: Current project status
      type: string
      enum:
        - created
        - uploading
        - uploaded
        - upload_failed
        - transcription_started
        - transcription_done
        - transcription_failed
        - transcribe_segments_started
        - transcribe_segments_done
        - transcribe_segments_failed
        - separate_background_started
        - separate_background_done
        - separate_background_failed
        - determine_speakers_started
        - determine_speakers_done
        - determine_speakers_failed
        - voice_suggest_started
        - voice_suggest_done
        - voice_suggest_failed
        - translation_started
        - translation_done
        - translation_failed
        - voice_update_started
        - voice_update_done
        - voice_update_failed
        - transcript_edited
        - voice_edited
        - voiceover_started
        - voiceover_done
        - voiceover_failed
        - merging_started
        - merging_done
        - merging_failed
        - failed
        - no_audio
        - no_words
        - forbidden_link
      title: ProjectStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````